
  .perfect-combo-flex{
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  /* Background image layer */
  .new_book_sec {
    margin-top: 5vh;
    height: 50vh;
    width: 90%;
    inset: 0;
    background: url('../images/invisible-toolbox-photo_da.webp ') center/cover no-repeat;
    /* z-index: 1; */
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  /* 30% dark overlay */
  .book_overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.3);
    z-index: 2;
  }

  /* Content layer */
  .book_content {
    /* position: absolute; */
    inset: 0;
    z-index: 3;

    display: flex;
    flex-direction: column;
    justify-content: space-evenly; /* equal spacing top, between, bottom */
    align-items: center;
    text-align: center;
    padding: 2rem;
  }

  .book_caption {
    color: white;
    font-size: 2.5rem;
    text-shadow: 0px 0px 10px rgba(0,0,0,0.7);
    margin-bottom: 2.5vh;
    font-weight: bold;
  }

  .book_button {
    padding: 0.75rem 1.5rem;
    font-size: 1rem;
    font-weight: bold;
    border: none;
    background: white;
    color: #006A72;
    cursor: pointer;
    /* border-radius: 4px; */
    transition: 0.3s ease;
  }

  .book_button:hover {
    background: #ddd;
  }

  /* -------- Responsive Breakpoints -------- */

  /* Mobile */
  @media (max-width: 600px) {
    .new_book_sec {
     height: 65vh;
  }

    .book_caption {
      font-size: 2.5rem;
    }

    .book_button {
      font-size: 1.5rem;
      padding: 0.6rem 1.2rem;
    }
  }

  /* Tablet */
  @media (min-width: 601px) and (max-width: 1023px) {
    .new_book_sec {
     height: 50vh;
  }
    .book_caption {
      font-size: 3rem;
      width: 65%;
    }

    .book_button {
      font-size: 2rem;
    }

    
  }

  /* Desktop */
  @media (min-width: 1024px) {
    .perfect-combo-flex{
      flex-direction: row;
    }
    .new_book_sec{
      margin-top: 0;
      width: 50%;
      height: 40vh;
    }
    .book_caption {
      font-size: 3rem;
      width: 55%;
    }

    .book_button {
      font-size: 2rem;
    }
  }

  
